Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160456 - Installer hangs when loading sata_sil driver (kernel oops)
Summary: Installer hangs when loading sata_sil driver (kernel oops)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FCMETA_INSTALL
TreeView+ depends on / blocked
 
Reported: 2005-06-15 09:42 UTC by Jan Svec
Modified: 2013-07-03 02:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 23:51:08 UTC


Attachments (Terms of Use)

Description Jan Svec 2005-06-15 09:42:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
During installation, when Anaconda is loading sata_sil driver, kernel oopses:

PCI0 USB1 USB2 USB3 EHCI UAR1  AC9  MC9 ILAN SLPB 

ACPI: (supports S0 S1 S4 S5)

Freeing unused kernel memory: 184k freed

Oops: 0002 [#1]

Modules linked in: sata_sil libata ohci1394 ieee1394 uhci_hcd ehci_hcd sr_mod sd_mod scsi_mod pcspkr edd floppy loop nfs lockd sunrpc vfat fat cramfs vga16fb vgastate

CPU:    0

EIP:    0060:[<e89d444e>]    Not tainted VLI

EFLAGS: 00010202   (2.6.11-1.1369_FC4) 

EIP is at sil_init_one+0x1be/0x340 [sata_sil]

eax: 00000002   ebx: dff85c00   ecx: 08000002   edx: dfcfaf23

esi: e89d0e00   edi: e7800478   ebp: e89d5dc0   esp: dfcfaf28

ds: 007b   es: 007b   ss: 0068

Process loader (pid: 480, threadinfo=dfcfa000 task=dfc7a000)

Stack: 0000000a e780048c 00000002 e89d46b0 e7800400 e89d5ea0 dff85c00 e89d5ecc 

       00000000 c0211575 dff85c00 e89d5ea0 c02115b0 e89d5ea0 dff85c00 c02115db 

       e89d5ecc dff85c44 c027d3e1 dff85c4c c03c9930 c027d509 c03c98a4 c03c9840 

Call Trace:

 [<c0211575>] pci_device_probe_static+0x25/0x40

 [<c02115b0>] __pci_device_probe+0x20/0x30

 [<c02115db>] pci_device_probe+0x1b/0x40

 [<c027d3e1>] driver_probe_device+0x21/0x60

 [<c027d509>] driver_attach+0x49/0x80

 [<c027d961>] bus_add_driver+0x81/0xb0

 [<c02117d9>] pci_register_driver+0x89/0xa0

 [<c0145853>] sys_init_module+0xb3/0x1b0

 [<c01039d9>] syscall_call+0x7/0xb

Code: 00 00 85 ff 0f 85 e9 00 00 00 89 d8 e8 cc fb ff ff 84 c0 0f 84 c2 00 00 00 c0 e8 03 40 25 ff 00 00 00 88 46 40 88 46 41 88 46 44 <88> 86 41 02 00 00 ba 00 00 c0 00 83 7d 18 01 0f 84 3e 01 00 00 

 <6>via-rhine.c:v1.10-LK1.2.0-2.6 June-10-2004 Written by Donald Becker

I have two SATA disks (Seagate ST 3160827AS and ST 3160023AS) connected to the PCI SATA controller with Sil3112 chipset. FC3 and Ubuntu 5.04 work fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert FC4 installation DVD
2. start installation bu hitting enter
3.
  

Actual Results:  Anaconda crashes after loading sata_sil driver.

Additional info:

Comment 1 Dave Jones 2005-07-15 21:51:21 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 2 kokoska rokoska 2005-07-26 07:59:45 UTC
> Please retest your problem with todays 2.6.12-1.1398_FC4 update.
> 
> If your problem involved being unable to boot, or some hardware not being
> detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
> installing any kernel updates.
> If in doubt, you can recreate this file using..
> 
> mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
> mv /etc/modprobe.conf /etc/modprobe.conf.bak
> kudzu
Hi,
I have exactly same trouble. Anaconda crashes when loading sata_sil driver. FC2
and WinXP work OK.
I have one SATA drive (Maxtor 160GB) connected to the PCI SATA controller
(ST-Lab) with Sil3112 chipset.
I would like to try update mentioned above, but I dont know how if I cant
install the system... Could you give me some advice?
Thanx. Kokoska Rokoska


Comment 3 Tommy Lee 2005-08-19 12:38:00 UTC
I encountered the same trouble of kernel oops with sata_sil.ko version 0.9 
included in the DVD distribution 'FC4-i386-DVD.iso'.  

I compared the source file sata_sil.c with the latest source in kernel 2.6.12.5, 
and I found two additions to the file. This kernel module is probably the one 
that was used in kernel v2.6.12-rc5 (see 'http://www.linuxhq.com/kernel/v2.6/12-
rc5/drivers/scsi/sata_sil.c')

This kernel oops problem has been identified and resolved on release of kernel 
2.6.12 (see the message issued by Mr. Linus Torvalds to the kernel mailing list 
at 'http://kerneltrap.org/mailarchive/1/message/80826/thread'.)

To install Fedora Core 4, I have to modify the iso image in Windows XP, and use 
Fedora Core 3 boot disk to start the installation process with option:

     linux askmethod

and choose harddisk as the source of installtion iso.  Two files were replaced 
in 'FC4-i386-DVD.iso' as follows:

- overwrite kernel package 'kernel-2.6.11-1.1369_FC4.i686.rpm' inside /Fedora/
RPMS with updated kernel 'kernel-2.6.12-1.1398_FC4.i686.rpm' available in Fedora 
Download site.
- overwrite the boot image 'stage2.img' inside /Fedora/base with that of Fedora 
Core 3 boot disk.  It is required as this image file should match with the boot 
disk.

'Fedora Core 4' was installed on my machine without a hitch, and I have 
performed the long and tedious 273MB yum update.

Best regards,
Tommy Lee


Comment 4 Dave Jones 2005-09-30 23:51:08 UTC
http://fedora.isphuset.no/ contains an unofficial Fedora 4.1, which may get you
up and running, as it has a install kernel based on one of the errata kernels.



Note You need to log in before you can comment on or make changes to this bug.